.captcha-box {
    max-width: 409px;
    width: 100%;
    min-height: 105px;
    /* background: #D9D9D9; */
    border-radius: 20px;
    padding: 15px;
    display: inline-flex;
    align-items: center;
    gap: 12px;
}

.captcha-checkbox-container {
    position: relative;
    display: flex;
    align-items: center;
}

.captcha-checkbox {
    width: 54px;
    height: 43px;
    border: 2px solid black;
    border-radius: 2px;
    cursor: pointer;
    background-color: white;
    position: relative;
    transition: all 0.3s ease;
}

.captcha-checkbox:hover {
    border-color: #4285f4;
}

.captcha-checkbox.checking {
    border-color: #4285f4;
}

.captcha-checkbox.verified {
    background-color: #4285f4;
    border-color: #4285f4;
}

.captcha-checkbox.verified::after {
    content: '';
    position: absolute;
    left: 45%;
    top: 32%;
    width: 6px;
    height: 12px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

.captcha-spinner {
    position: absolute;
    width: 20px;
    height: 20px;
    border: 2px solid #f3f3f3;
    border-top: 2px solid #4285f4;
    border-radius: 50%;
    animation: spin 1s linear infinite;
     left: 28%;
    top: 30%;
    display: none;
}

.captcha-checkbox.checking .captcha-spinner {
    display: block;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.captcha-text {
    font-size: 24px;
    color: black;
    line-height: 100%;
    font-weight: 400;
    user-select: none;
}

.captcha-logo {
    margin-left: auto;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.captcha-recaptcha-logo {
    display: flex;
    align-items: center;
    gap: 4px;
}

.captcha-icon {
    width: 32px;
    height: 32px;
}

.captcha-icon-refresh {
    color: #4285f4;
}

.captcha-icon-refresh-gray {
    color: #9e9e9e;
}

.captcha-recaptcha-text {
    font-size: 10px;
    color: #9e9e9e;
    font-family: 'Roboto', Arial, sans-serif;
}

.form-submit-btn:disabled {
    opacity: 0.5;
    cursor: not-allowed;
    background-color: #ccc;
}